InputStreamWrapper (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime.impl

## Class InputStreamWrapper

- java.lang.Object
- - org.jibx.runtime.impl.InputStreamWrapper

-     public class InputStreamWrapper
      extends java.lang.Object

  Wrapper for input buffer that supports multiple character encodings. This is needed because the XPP3 pull parser does not support detecting the character encoding for a document based on the content of the document. If used with a common encoding this performs the conversion to characters using an inner reader class; otherwise, this creates the appropriate reader type
  Author:
    Dennis M. Sosnoski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputStreamWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close document input.
    `IInByteBuffer` | `getBuffer()` Get input buffer.
    `java.lang.String` | `getEncoding()` Get encoding for input document.
    `java.io.Reader` | `getReader()` Get reader for wrapped input stream.
    `void` | `reset()` Reset to initial state for reuse.
    `void` | `setBuffer(IInByteBuffer buff)` Set the input buffer.
    `void` | `setEncoding(java.lang.String enc)` Set encoding for stream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamWrapper

          public InputStreamWrapper()

  - ### Method Detail

    - #### setBuffer

          public void setBuffer(IInByteBuffer buff)

      Set the input buffer.
      Parameters:
        `buff` -

    - #### getBuffer

          public IInByteBuffer getBuffer()

      Get input buffer.
      Returns:
        buffer, `null` if none set

    - #### setEncoding

          public void setEncoding(java.lang.String enc)
                           throws java.io.IOException

      Set encoding for stream. This call is only valid if the encoding has not been set previously, and if the encoding is a recognized type.
      Parameters:
        `enc` - character encoding used for input from stream (`null` if to be determined from XML input)
      Throws:
        `java.io.IOException` - if unknown encoding, or encoding already set

    - #### getReader

          public java.io.Reader getReader()
                                   throws java.io.IOException

      Get reader for wrapped input stream. This creates and returns a reader using the appropriate encoding, if necessary reading and examining the first part of the stream (including the XML declaration, if present) to determine the encoding.
      Returns:
        reader
      Throws:
        `java.io.IOException` - if error reading from document or creating a reader for the encoding found

    - #### getEncoding

          public java.lang.String getEncoding()

      Get encoding for input document. This call may not return an accurate result until after `getReader()` is called.
      Returns:
        character encoding for input document

    - #### close

          public void close()
                     throws java.io.IOException

      Close document input. Completes reading of document input, including closing the input medium.
      Throws:
        `java.io.IOException` - on error closing document

    - #### reset

          public void reset()

      Reset to initial state for reuse.

Project Web Site |